Package org.apache.tomcat.util.compat

## Class Jre22Compat

- java.lang.Object
- - org.apache.tomcat.util.compat.JreCompat
  - - org.apache.tomcat.util.compat.Jre19Compat
    - - org.apache.tomcat.util.compat.Jre21Compat
      - - org.apache.tomcat.util.compat.Jre22Compat

    public class Jre22Compat
    extends Jre21Compat

### Constructor Summary

Constructors
`Jre22Compat()`

### Method Summary

All Methods Instance Methods Concrete Methods
`SocketAddress` `getUnixDomainSocketAddress​(String path)` Return Unix domain socket address for given path.
`ServerSocketChannel` `openUnixDomainServerSocketChannel()` Create server socket channel using the Unix domain socket ProtocolFamily.
`SocketChannel` `openUnixDomainSocketChannel()` Create socket channel using the Unix domain socket ProtocolFamily.

### Methods inherited from class org.apache.tomcat.util.compat.Jre21Compat

`createVirtualThreadBuilder, threadBuilderStart`

### Methods inherited from class org.apache.tomcat.util.compat.Jre19Compat

`getExecutor`

### Methods inherited from class org.apache.tomcat.util.compat.JreCompat

`getInstance, isGraalAvailable, isJre16Available, isJre19Available, isJre21Available, isJre22Available`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Jre22Compat

    public Jre22Compat()

### Method Detail

#### getUnixDomainSocketAddress

    public SocketAddress getUnixDomainSocketAddress​(String path)

Description copied from class: `JreCompat`
Return Unix domain socket address for given path.

Overrides:
  `getUnixDomainSocketAddress` in class `JreCompat`
Parameters:
  `path` - The path
Returns:
  the socket address

#### openUnixDomainServerSocketChannel

    public ServerSocketChannel openUnixDomainServerSocketChannel()

Description copied from class: `JreCompat`
Create server socket channel using the Unix domain socket ProtocolFamily.

Overrides:
  `openUnixDomainServerSocketChannel` in class `JreCompat`
Returns:
  the server socket channel

#### openUnixDomainSocketChannel

    public SocketChannel openUnixDomainSocketChannel()

Description copied from class: `JreCompat`
Create socket channel using the Unix domain socket ProtocolFamily.

Overrides:
  `openUnixDomainSocketChannel` in class `JreCompat`
Returns:
  the socket channel